searchData={"items":[{"type":"module","title":"VegaLite.Convert","doc":"Various export methods for a `VegaLite` specification.\n\nAll of the exports are performed via a Rustler NIF that wraps the\n[vl-convert-rs](https://github.com/vega/vl-convert) Rust library.\n\n    alias VegaLite, as: Vl\n\n    vl =\n      Vl.new(width: 400, height: 400)\n      |> Vl.data_from_values(iteration: 1..100, score: 1..100)\n      |> Vl.mark(:line)\n      |> Vl.encode_field(:x, \"iteration\", type: :quantitative)\n      |> Vl.encode_field(:y, \"score\", type: :quantitative)\n\n    # Saves graphic to a file\n    VegaLite.Convert.save!(vl, \"image.png\")\n\n    # Returns graphic as a binary\n    VegaLite.Convert.to_png(vl)","ref":"VegaLite.Convert.html"},{"type":"function","title":"VegaLite.Convert.open_viewer/1","doc":"Renders a `VegaLite` graphic in a GUI window widget.\n\nThis requires the Erlang compilation to include the `:wx` module.","ref":"VegaLite.Convert.html#open_viewer/1"},{"type":"function","title":"VegaLite.Convert.open_viewer_and_wait/1","doc":"Same as `show/1`, but blocks until the window widget is closed.","ref":"VegaLite.Convert.html#open_viewer_and_wait/1"},{"type":"function","title":"VegaLite.Convert.save!/3","doc":"Renders a `VegaLite` graphic to a file in one of the supported\nformats.\n\nAny additional options provided beyond `:format` are passed to the\nfunctions that export to the desired format.","ref":"VegaLite.Convert.html#save!/3"},{"type":"function","title":"Options - VegaLite.Convert.save!/3","doc":"* `:format` - the format to export the graphic as, must be either\n    of: `:json`, `:html`, `:png`, `:svg`, `:pdf`, `:jpeg`, `:jpg`.\n    By default the format is inferred from the file extension.","ref":"VegaLite.Convert.html#save!/3-options"},{"type":"function","title":"VegaLite.Convert.to_html/2","doc":"Builds an HTML page that renders the given graphic.\n\nThe HTML page loads necessary JavaScript dependencies from a CDN\nand then renders the graphic in a root element.","ref":"VegaLite.Convert.html#to_html/2"},{"type":"function","title":"Options - VegaLite.Convert.to_html/2","doc":"* `:bundle` - configures whether the VegaLite client side JS library\n    is embedded in the document or if it is pulled down from the CDN.\n    Defaults to `true`.\n\n  * `:renderer` - determines how the VegaLite chart is rendered in\n    the HTML document. Possible values are: `:svg`, `:canvas`, or\n    `:hybrid`. Defaults to `:svg`.","ref":"VegaLite.Convert.html#to_html/2-options"},{"type":"function","title":"VegaLite.Convert.to_jpeg/2","doc":"Renders the given graphic as a JPEG image and returns its binary\ncontent.","ref":"VegaLite.Convert.html#to_jpeg/2"},{"type":"function","title":"Options - VegaLite.Convert.to_jpeg/2","doc":"* `:scale` - the image scale factor. Defaults to `1.0`.\n\n  * `:quality` - the quality of the generated JPEG between 0 (worst)\n    and 100 (best). Defaults to `90`.","ref":"VegaLite.Convert.html#to_jpeg/2-options"},{"type":"function","title":"VegaLite.Convert.to_json/2","doc":"Returns the underlying Vega-Lite specification as JSON.","ref":"VegaLite.Convert.html#to_json/2"},{"type":"function","title":"Options - VegaLite.Convert.to_json/2","doc":"* `:target` - specifies whether JSON export is in the VegaLite\n    format or Vega. Valid options are `:vega_lite` or `:vega`.\n    Defaults to `:vega_lite`.","ref":"VegaLite.Convert.html#to_json/2-options"},{"type":"function","title":"VegaLite.Convert.to_pdf/1","doc":"Renders the given graphic as a PDF and returns its binary content.","ref":"VegaLite.Convert.html#to_pdf/1"},{"type":"function","title":"VegaLite.Convert.to_png/2","doc":"Renders the given graphic as a PNG image and returns its binary\ncontent.","ref":"VegaLite.Convert.html#to_png/2"},{"type":"function","title":"Options - VegaLite.Convert.to_png/2","doc":"* `:scale` - the image scale factor. Defaults to `1.0`.\n\n  * `:ppi` - the number of pixels per inch. Defaults to `72.0`.","ref":"VegaLite.Convert.html#to_png/2-options"},{"type":"function","title":"VegaLite.Convert.to_svg/1","doc":"Renders the given graphic as an SVG image and returns its binary\ncontent.","ref":"VegaLite.Convert.html#to_svg/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}